<?php

namespace app\admin\model\books;

use app\admin\model\User;
use think\Model;


class Certificate extends Model
{





    // 表名
    protected $name = 'certificate';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text',
        'is_expire_text'
    ];



    public function getStatusList()
    {
        return ['0' => __('未使用'), '1' => __('已使用')];
    }

    public function getIsExpireList()
    {
        return ['0' => __('是'), '1' => __('否')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getIsExpireTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_expire']) ? $data['is_expire'] : '');
        $list = $this->getIsExpireList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    public function goods(){
        return $this->hasOne(Books::class,'id','goods_id');
    }

    public function user(){
        return $this->hasOne(User::class,'id','user_id');
    }


}
